Page MenuHomePhabricator

mediawiki/extensions/WikiLambda repository has a leading space in the name
Closed, ResolvedPublic

Description

On https://gerrit.wikimedia.org/g/ I see:

I know it's the new hotness, but it really should be sorted alphabetically with all the other repos :)

Event Timeline

Legoktm created this task.Jul 13 2020, 7:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2020, 7:01 AM

I think that there's a space before the repository name which causes this (and probably other side effects, too)

Legoktm renamed this task from Gitiles sorts WikiLambda repository above all to mediawiki/extensions/WikiLambda repository has a leading space in the name.Jul 13 2020, 8:15 AM
hashar added subscribers: Jdforrester-PERSONAL, hashar.

Indeed there is an extra repository with a space at the beginning which really should have been deleted immediately:

On the server that is /srv/gerrit/git/ mediawiki/extensions/WikiLambda.git and it has only two entries:

$ git log --all
commit a11350c3b9dd2ef908ea9aab1f29f8de0101e825 (refs/meta/config)
Author: Jforrester <jforrester@wikimedia.org>
Date:   Wed Jul 1 17:46:20 2020 +0000

    Modified project settings

commit e71a4cbcf443bfeaff9c03be5bc627e772358028
Author: Jforrester <jforrester@wikimedia.org>
Date:   Wed Jul 1 17:39:37 2020 +0000

    Created project

Mentioned in SAL (#wikimedia-releng) [2020-09-23T17:08:52Z] <hashar> Gerrit: removed "/srv/gerrit/git/ mediawiki/extensions/WikiLambda" (note the extra space in front of 'mediawiki') # T257775

hashar closed this task as Resolved.Sep 23 2020, 5:11 PM
hashar claimed this task.

Repository is gone and no more shows up on the Gitiles home page: https://gerrit.wikimedia.org/g/

Mentioned in SAL (#wikimedia-releng) [2020-09-23T19:11:36Z] <hashar> gerrit: flushing "project_list" cache after deletion of " mediawiki/extensions/WikiLambda": gerrit flush-caches --cache project_list # T263682 T257775